## qt6-remoteobjects 6.7.2

=== debian/changelog ===
qt6-remoteobjects (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable dh_qmldeps for qt6-remoteobjects-examples.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Nov 2024 00:53:11 +0100

qt6-remoteobjects (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:59:00 +0200

qt6-remoteobjects (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 12:01:48 +0200

qt6-remoteobjects (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 19:34:07 +0200

=== debian/control ===
Source: qt6-remoteobjects
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-pkgkde-symbolshelper,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.2+dfsg~),
               qt6-base-private-dev (>= 6.7.2+dfsg~),
               qt6-connectivity-dev (>= 6.7.2~) [linux-any],
               qt6-declarative-dev (>= 6.7.2+dfsg~),
               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
               qt6-remoteobjects-dev:native <cross>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git
Rules-Requires-Root: no

Package: libqt6remoteobjects6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Remote Objects library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the shared library for Qt Remote Objects.

Package: libqt6remoteobjects6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Remote Objects - the Replica Compiler (repc)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 The Replica Compiler (repc) generates QObject header files based on an API
 definition file.

Package: qml6-module-qtremoteobjects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt6remoteobjectsqml6,
Replaces: libqt6remoteobjectsqml6,
Description: Qt 6 Remote Objects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package provides the QML module for Qt Remote Objects.

Package: qt6-remoteobjects-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6remoteobjects6 (= ${binary:Version}),
         libqt6remoteobjects6-bin (= ${binary:Version}),
         qml6-module-qtremoteobjects (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Remote Objects - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Remote Objects extends Qt's existing functionalities to enable
 information exchange between processes or computers.
 .
 This package contains the development files for Qt Remote Objects.

Package: qt6-remoteobjects-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remote objects HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 remote objects.

Package: qt6-remoteobjects-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 remoteobjects tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt remote objects
 documentation.

Package: qt6-remoteobjects-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 remote objects examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt remote objects submodule.

## qt6-remoteobjects 6.8.0

=== debian/changelog ===
qt6-remoteobjects (6.8.0-0deepin1) unstable; urgency=medium

  * update symbols 

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 11:41:58 +0800

qt6-remoteobjects (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Fri, 08 Nov 2024 16:31:22 +0800

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,23 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-connectivity-dev (>= 6.7.2~) [linux-any],
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-connectivity-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-remoteobjects-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git
@@ -62,8 +60,8 @@
 Package: qml6-module-qtremoteobjects
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
+Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
+         ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libqt6remoteobjectsqml6,
 Replaces: libqt6remoteobjectsqml6,
@@ -82,7 +80,6 @@
 Multi-Arch: same
 Depends: libqt6remoteobjects6 (= ${binary:Version}),
          libqt6remoteobjects6-bin (= ${binary:Version}),
-         qml6-module-qtremoteobjects (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Remote Objects - development files
@@ -132,7 +129,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 remote objects examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-remoteobjects 6.8.1

=== debian/changelog ===
qt6-remoteobjects (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:55:46 -0600

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: qt6-remoteobjects
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-connectivity-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-connectivity-dev (>= 6.8.1~) [linux-any],
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
                qt6-remoteobjects-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git
@@ -60,9 +63,7 @@
 Package: qml6-module-qtremoteobjects
 Architecture: any
 Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6remoteobjectsqml6,
 Replaces: libqt6remoteobjectsqml6,
 Description: Qt 6 Remote Objects QML module
@@ -80,6 +81,7 @@
 Multi-Arch: same
 Depends: libqt6remoteobjects6 (= ${binary:Version}),
          libqt6remoteobjects6-bin (= ${binary:Version}),
+         qml6-module-qtremoteobjects (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Remote Objects - development files
@@ -129,7 +131,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 remote objects examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-remoteobjects 6.8.2

=== src/repparser/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## RepParser Module:
#####################################################################

qt_internal_add_module(RepParser
    HEADER_MODULE
    PUBLIC_LIBRARIES
        Qt::Core
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_module_info(module RepParser)
qt_path_join(parser_install_dir "${QT_INSTALL_DIR}" "${INSTALL_INCLUDEDIR}" "${module}")

qt_copy_or_install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/parser.g" DESTINATION "${parser_install_dir}")

=== examples/remoteobjects/ssl/CMakeLists.txt ===
if(NOT ANDROID)
    qt_internal_add_example(sslserver)
    qt_internal_add_example(sslcppclient)
endif()

=== tests/auto/external_IODevice/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


add_subdirectory(sslTestServer)
add_subdirectory(tst_client)

=== tests/auto/proxy/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_proxy Test:
#####################################################################

qt_internal_add_test(tst_proxy
    SOURCES
        tst_proxy.cpp
        ../shared/model_utilities.h
    LIBRARIES
        Qt::RemoteObjects
)
qt6_add_repc_merged(tst_proxy
    engine.rep
    subclass.rep
)

## Scopes:
#####################################################################

=== tests/auto/repc/signature/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


add_subdirectory(signatureServer)
add_subdirectory(matchAndQuit)
add_subdirectory(differentGlobalEnum)
add_subdirectory(differentClassEnum)
add_subdirectory(differentPropertyCount)
add_subdirectory(differentPropertyCountChild)
add_subdirectory(differentPropertyType)
add_subdirectory(scrambledProperties)
add_subdirectory(differentSlotCount)
add_subdirectory(differentSlotType)
add_subdirectory(differentSlotParamCount)
add_subdirectory(differentSlotParamType)
add_subdirectory(scrambledSlots)
add_subdirectory(differentSignalCount)
add_subdirectory(differentSignalParamCount)
add_subdirectory(differentSignalParamType)
add_subdirectory(scrambledSignals)
add_subdirectory(state)
if(QT_FEATURE_process)
    add_subdirectory(signatureTests)
endif()

=== tests/auto/repc/signature/differentGlobalEnum/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## differentGlobalEnum Binary:
#####################################################################

qt_internal_add_executable(differentGlobalEnum
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    SOURCES
        ../mismatch.cpp
    INCLUDE_DIRECTORIES
        ..
    LIBRARIES
        Qt::RemoteObjects
        Qt::Test
)
qt6_add_repc_replicas(differentGlobalEnum
    mismatch.rep
)

=== tests/auto/repc/signature/differentSignalParamCount/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## differentSignalParamCount Binary:
#####################################################################

qt_internal_add_executable(differentSignalParamCount
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    SOURCES
        ../mismatch.cpp
    INCLUDE_DIRECTORIES
        ..
    LIBRARIES
        Qt::RemoteObjects
        Qt::Test
)
qt6_add_repc_replicas(differentSignalParamCount
    mismatch.rep
)

=== tests/auto/repc/signature/differentSlotType/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## differentSlotType Binary:
#####################################################################

qt_internal_add_executable(differentSlotType
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    SOURCES
        ../mismatch.cpp
    INCLUDE_DIRECTORIES
        ..
    LIBRARIES
        Qt::RemoteObjects
        Qt::Test
)
qt6_add_repc_replicas(differentSlotType
    mismatch.rep
)

=== debian/changelog ===
qt6-remoteobjects (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:04:51 +0100

qt6-remoteobjects (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 11:03:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: qt6-remoteobjects
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-connectivity-dev (>= 6.8.1~) [linux-any],
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-connectivity-dev (>= 6.8.2~) [linux-any],
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
                qt6-remoteobjects-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -63,7 +62,9 @@
 Package: qml6-module-qtremoteobjects
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Breaks: libqt6remoteobjectsqml6,
 Replaces: libqt6remoteobjectsqml6,
 Description: Qt 6 Remote Objects QML module

## qt6-remoteobjects 6.8.3

=== src/remoteobjects/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## RemoteObjects Module:
#####################################################################

qt_internal_add_module(RemoteObjects
    QMAKE_MODULE_CONFIG remoteobjects_repc
    SOURCES
        qconnection_local_backend.cpp qconnection_local_backend_p.h
        qconnection_tcpip_backend.cpp qconnection_tcpip_backend_p.h
        qconnectionfactories.cpp qconnectionfactories.h qconnectionfactories_p.h
        qremoteobjectabstractitemmodeladapter.cpp qremoteobjectabstractitemmodeladapter_p.h
        qremoteobjectabstractitemmodelreplica.cpp qremoteobjectabstractitemmodelreplica.h qremoteobjectabstractitemmodelreplica_p.h
        qremoteobjectabstractitemmodeltypes_p.h
        qremoteobjectcontainers.cpp qremoteobjectcontainers_p.h
        qremoteobjectdynamicreplica.cpp qremoteobjectdynamicreplica.h
        qremoteobjectnode.cpp qremoteobjectnode.h qremoteobjectnode_p.h
        qremoteobjectpacket.cpp qremoteobjectpacket_p.h
        qremoteobjectpendingcall.cpp qremoteobjectpendingcall.h qremoteobjectpendingcall_p.h
        qremoteobjectregistry.cpp qremoteobjectregistry.h
        qremoteobjectregistrysource.cpp qremoteobjectregistrysource_p.h
        qremoteobjectreplica.cpp qremoteobjectreplica.h qremoteobjectreplica_p.h
        qremoteobjectsettingsstore.cpp qremoteobjectsettingsstore.h
        qremoteobjectsource.cpp qremoteobjectsource.h qremoteobjectsource_p.h
        qremoteobjectsourceio.cpp qremoteobjectsourceio_p.h
        qtremoteobjectglobal.cpp qtremoteobjectglobal.h
    DEFINES
        QT_BUILD_REMOTEOBJECTS_LIB
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
        QT_NO_URL_CAST_FROM_STRING
    INCLUDE_DIRECTORIES
        .
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(RemoteObjects CONDITION QNX
    SOURCES
        qconnection_qnx_backend.cpp qconnection_qnx_backend_p.h
        qconnection_qnx_global_p.h
        qconnection_qnx_qiodevices.cpp qconnection_qnx_qiodevices.h qconnection_qnx_qiodevices_p.h
        qconnection_qnx_server.cpp qconnection_qnx_server.h qconnection_qnx_server_p.h
)

qt_internal_extend_target(RemoteObjects CONDITION QNX AND QT_FEATURE_use_ham
    PUBLIC_LIBRARIES
        ham
)
qt_internal_add_docs(RemoteObjects
    doc/qtremoteobjects.qdocconf
)

include(Qt6RemoteObjectsMacros.cmake)

=== tests/auto/localserveroption/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_localserveroption Test:
#####################################################################

qt_internal_add_test(tst_localserveroption
    SOURCES
        tst_localserveroption.cpp
    LIBRARIES
        Qt::RemoteObjects
        Qt::Core
)

=== tests/auto/localsockettestserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## localsockettestserver Binary:
#####################################################################

qt_internal_add_executable(localsockettestserver
    SOURCES
        main.cpp
    LIBRARIES
        Qt::RemoteObjects
    OUTPUT_DIRECTORY
        ${CMAKE_CURRENT_BINARY_DIR}
)

=== tests/auto/modelreplica/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_modelreplicatest Test:
#####################################################################

qt_internal_add_test(tst_modelreplicatest
    SOURCES
        tst_modelreplicatest.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
    LIBRARIES
        Qt::RemoteObjects
)
qt6_add_repc_merged(tst_modelreplicatest
    model.rep
)

=== tests/auto/modelview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_modelview Test:
#####################################################################

qt_internal_add_test(tst_modelview
    SOURCES
        tst_modelview.cpp
        ../shared/model_utilities.h
    LIBRARIES
        Qt::Gui
        Qt::RemoteObjects
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_modelview CONDITION boot2qt
    DEFINES
        SLOW_MODELTEST
)

qt_internal_extend_target(tst_modelview CONDITION MINGW
    DEFINES
        SLOW_MODELTEST
)

=== tests/auto/rep_from_header/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_rep_from_header Test:
#####################################################################

qt_internal_add_test(tst_rep_from_header
    SOURCES
        tst_rep_from_header.cpp
    LIBRARIES
        Qt::RemoteObjects
)
qt6_reps_from_headers(tst_rep_from_header pods.h)

=== tests/auto/repcodegenerator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_repcodegenerator Test:
#####################################################################

qt_internal_add_test(tst_repcodegenerator
    SOURCES
        tst_repcodegenerator.cpp
    LIBRARIES
        Qt::RemoteObjects
)
qt6_add_repc_merged(tst_repcodegenerator
    classwithsignalonlytest.rep
    preprocessortest.rep
    classwithreadonlypropertytest.rep
    classwithattributetest.rep
    classinnamespace.rep
)

## Scopes:
#####################################################################

=== tests/auto/subclassreplica/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_subclassreplicatest Test:
#####################################################################

qt_internal_add_test(tst_subclassreplicatest
    SOURCES
        tst_subclassreplicatest.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
    LIBRARIES
        Qt::RemoteObjects
)
qt6_add_repc_merged(tst_subclassreplicatest
    class.rep
)

=== examples/remoteobjects/simpleswitch/directconnectserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(directconnectserver LANGUAGES CXX)

if (ANDROID)
    message(FATAL_ERROR "This project cannot be built on Android.")
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/remoteobjects/simpleswitch/directconnectserver")

find_package(Qt6 REQUIRED COMPONENTS Core RemoteObjects)

qt_add_executable(directconnectserver
    main.cpp
    simpleswitch.cpp simpleswitch.h
)

set_target_properties(directconnectserver PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE FALSE
)

target_link_libraries(directconnectserver PUBLIC
    Qt::Core
    Qt::RemoteObjects
)

qt6_add_repc_sources(directconnectserver
    simpleswitch.rep
)

install(TARGETS directconnectserver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/qml/integration/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_qmlintegration Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/data/tst_*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qmlintegration
    GUI
    QMLTEST
    SOURCES
        tst_integration.cpp
    LIBRARIES
        Qt::Gui
    TESTDATA ${test_data}
)

=== tests/auto/repc/pods/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_repc_pods Test:
#####################################################################

qt_internal_add_test(tst_repc_pods
    SOURCES
        tst_pods.cpp
    LIBRARIES
        Qt::RemoteObjects
)
qt6_add_repc_replicas(tst_repc_pods
    pods.rep
)

## Scopes:
#####################################################################

=== tests/auto/restart/server/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## restart_server Binary:
#####################################################################

qt_internal_add_executable(restart_server
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    SOURCES
        main.cpp
        mytestserver.cpp mytestserver.h
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
    LIBRARIES
        Qt::RemoteObjects
        Qt::Test
)
qt6_add_repc_sources(restart_server
    ../subclass.rep
)

=== debian/changelog ===
qt6-remoteobjects (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:27:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-remoteobjects
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,11 +14,11 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-connectivity-dev (>= 6.8.2~) [linux-any],
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-connectivity-dev (>= 6.8.3~) [linux-any],
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
                qt6-remoteobjects-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-remoteobjects 6.9.1

=== debian/changelog ===
qt6-remoteobjects (6.9.1-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Install private headers temporarily.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Sep 2025 18:18:48 +0200

qt6-remoteobjects (6.9.1-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 01 Sep 2025 19:09:49 +0200

qt6-remoteobjects (6.9.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:05:28 +0200

qt6-remoteobjects (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 13:14:42 +0200

qt6-remoteobjects (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 02 Aug 2025 10:26:48 +0200

qt6-remoteobjects (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Jul 2025 17:15:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,38 @@
 Source: qt6-remoteobjects
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-connectivity-dev (>= 6.8.3~) [linux-any],
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-connectivity-dev (>= 6.9.1~) [linux-any],
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
                qt6-remoteobjects-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects.git
 Rules-Requires-Root: no
 
+# Remove private headers in 6.10 when the whole issue is resolved.
 Package: libqt6remoteobjects6
+Provides: qt6-remoteobjects-private-abi (= 6.9.1),
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -63,9 +65,7 @@
 Package: qml6-module-qtremoteobjects
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6remoteobjectsqml6,
 Replaces: libqt6remoteobjectsqml6,
 Description: Qt 6 Remote Objects QML module
